> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rownd.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an OpenID Connect client

> Platform API for deleting an OIDC client for an application



## OpenAPI

````yaml DELETE /applications/{app}/oidc-clients/{client}
openapi: 3.1.0
info:
  title: Rownd API
  version: 1.0.0
servers:
  - url: https://api.rownd.io
    description: Rownd production environment
  - url: https://api.us-east-2.dev.rownd.io
    description: Rownd development environment
security:
  - hubAccessTokenForRowndApi: []
tags:
  - name: applications
  - name: application_creds
  - name: application_schemas
paths:
  /applications/{app}/oidc-clients/{client}:
    parameters:
      - $ref: '#/components/parameters/AppID'
      - $ref: '#/components/parameters/OIDCClientID'
    delete:
      tags:
        - oidc
      description: Platform API for deleting an OIDC client for an application
      operationId: application_oidc_client_delete
      responses:
        '204':
          description: OIDC client deleted successfully
components:
  parameters:
    AppID:
      name: app
      in: path
      schema:
        type: string
      required: true
      description: Rownd application ID
    OIDCClientID:
      name: client
      in: path
      schema:
        type: string
      required: true
      description: OIDC Client ID
  securitySchemes:
    hubAccessTokenForRowndApi:
      type: http
      scheme: bearer
      description: >
        Bearer authentication header of the form `Bearer <token>` where
        `<token>` is your Rownd JWT

````